Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.compiler
Class AspectWerkzCTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.aspectwerkz.compiler.AspectWerkzCTask

    public class AspectWerkzCTask

extends org.apache.tools.ant.Task

AspectWerkzC offline Ant task. Use the following parameters to configure the task:

- verbose: [optional] flag marking the weaver verbosity [true / false]
- details: [optional] flag marking the weaver verbosity on matching [true / false, requires verbose=true]
- genjp: [optional] flag marking the need to keep the generated jp classes [true / false]
- taskverbose: [optional] flag marking the task verbose [true / false]
- definition: [optional] path to aspect definition xml file (optional, can be found on the path as META-INF/aop.xml - even several)
- aspectmodels: [optional] models FQN list separated by ":" (see AspectModelManager)

Use the following parameters to configure the classpath and to point to the classes to be weaved. Those can be specified with nested elements as well / instead:

- classpath: classpath to use
- classpathref: classpath reference to use
- targetdir: directory where to find classes to weave
- targetpath: classpath where to find classes to weave
- targetpathref: classpath reference where to find classes to weave

Nested elements are similar to the "java" task when you configure a classpath:

- classpath: Path-like structure for the classpath to be used by the weaver. Similar to "java" task classpath
- targetpath: Path-like structure for the class to be weaved

Some rarely used options are also available:

- backupdir: directory where to backup original classes during compilation, defautls to ./_aspectwerkzc
- preprocessor: fully qualified name of the preprocessor. If not set the default is used.

Author:
  the_mindstorm(at)evolva(dot)ro, Alexandre Vasseur

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AspectWerkzCTask()`

Method Summary
`org.apache.tools.ant.types.Path` | `createClasspath()`
`org.apache.tools.ant.types.Path` | `createTarget()`
`org.apache.tools.ant.types.Path` | `createTargetpath()`
`void` | `execute()`
`void` | `setAspectModels(String aspectModels)` aspectmodels=..
`void` | `setBackupdir(File backupDir)` backupdir=..
`void` | `setClasspath(org.apache.tools.ant.types.Path classpath)`
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setDefinition(File defFile)` definition=..
`void` | `setDetails(boolean details)` details=..
`void` | `setGenjp(boolean genjp)` genjp=..
`void` | `setPreprocessor(String preprocessorFqn)` preprocessor=..
`void` | `setTargetdir(org.apache.tools.ant.types.Path srcDir)`
`void` | `setTargetpath(org.apache.tools.ant.types.Path targetpath)`
`void` | `setTargetpathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setTaskVerbose(boolean verbose)` compilerverbose=..
`void` | `setVerbose(boolean verbose)` verbose=..

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectWerkzCTask

    public AspectWerkzCTask()

Method Detail

### setDefinition

    public void setDefinition(File defFile)

  definition=..

  Parameters:
    `defFile` -

### setVerbose

    public void setVerbose(boolean verbose)

  verbose=..

  Parameters:
    `verbose` -

### setDetails

    public void setDetails(boolean details)

  details=..

  Parameters:
    `details` -

### setGenjp

    public void setGenjp(boolean genjp)

  genjp=..

  Parameters:
    `genjp` -

### setTaskVerbose

    public void setTaskVerbose(boolean verbose)

  compilerverbose=..

  Parameters:
    `verbose` -

### setAspectModels

    public void setAspectModels(String aspectModels)

  aspectmodels=..

  Parameters:
    `aspectModels` -

### createTarget

    public org.apache.tools.ant.types.Path createTarget()

### setTargetdir

    public void setTargetdir(org.apache.tools.ant.types.Path srcDir)

### setTargetpath

    public void setTargetpath(org.apache.tools.ant.types.Path targetpath)

### createTargetpath

    public org.apache.tools.ant.types.Path createTargetpath()

### setTargetpathRef

    public void setTargetpathRef(org.apache.tools.ant.types.Reference r)

### setBackupdir

    public void setBackupdir(File backupDir)

  backupdir=..

  Parameters:
    `backupDir` -

### setPreprocessor

    public void setPreprocessor(String preprocessorFqn)

  preprocessor=..

  Parameters:
    `preprocessorFqn` -

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classpath)

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.